import 'package:hmg_patient_app/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/material.dart';

class HealthDescPage extends StatelessWidget {
  final String title;
  final String desc;
  final String icon;

  HealthDescPage(this.title, this.desc, this.icon);

  @override
  Widget build(BuildContext context) {
    return AppScaffold(
      isShowAppBar: true,
      isShowDecPage: false,
      appBarTitle: title,
      body: Container(
        margin: EdgeInsets.all(8.0),
        child: Row(
          children: [
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 8),
              child: Image.asset(
                icon,
                fit: BoxFit.cover,
                height: 80,
              ),
            ),
            Expanded(
              child: Text(
                desc,
                style: TextStyle(fontSize: 18.0),
              ),
            )
          ],
        ),
      ),
    );
  }
}
